/*
 * Copyright (c) Huawei Technologies Co., Ltd. 2020-2020. All rights reserved.
 * Description: 通讯组件（CM）event异步调用 客户端示例程序
 */

#include "client_activity.h"
#include "ara/log/logging.h"
#include "ara/exec/execution_client.h"

namespace {
    ara::log::Logger& g_log {ara::log::CreateLogger("main", "cm sample context", ara::log::LogLevel::kVerbose)};
}

void ThreadAct()
{
    sample::ClientActivity client;
    client.Init();
    //std::thread pc2Thread(client.checkPc2Queue);
    while (1) {

        const uint32_t sleepTime = 10U;
        std::this_thread::sleep_for(std::chrono::seconds(sleepTime));
    }
}

int main(int argc, char* argv[])
{
    ara::log::InitLogging("DEAC", "CM_DDS_EVENT_ASYNC_CLIENT_SAMPLE", ara::log::LogLevel::kVerbose,
        (ara::log::LogMode::kConsole | ara::log::LogMode::kRemote));
    ara::exec::ExecutionClient execClient;
    execClient.ReportExecutionState(ara::exec::ExecutionState::kRunning);

    g_log.LogInfo() << "Let's try to receive some camera data...";

    std::thread act(ThreadAct);
    act.join();

    g_log.LogInfo() << "Done.";
    execClient.ReportExecutionState(ara::exec::ExecutionState::kTerminating);
    return 0;
}
